tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Re: [VOTE] Release Apache Tomcat 8.5.49
Date Mon, 18 Nov 2019 22:52:32 GMT
вт, 19 нояб. 2019 г. в 00:22, Mark Thomas <markt@apache.org>:
>
> On 17/11/2019 19:01, Mark Thomas wrote:
>
> We have a regression affecting 8.5.x (and 7.0.x).
>
> The fix [1] for an issue raised on the users list [2] was incorrect and
> creating a different issue [3].
>
> There are two questions to address.
>
> a) Do we cancel the 8.5.49 release for this and roll a 8.5.50 release?

If we are re-rolling, I would like to pull back Chris Schultz's
changes to CSRF Filter
(8c143abae26f9b0c49b233c3e7a9cb6cc5b1b0ed)
until all issues with those changes are solved on master (9.0).

Not a showstopper.

> b) Do we fix this by a) correcting [1] or back-porting the change to a
> single poll set?
>
> I'm leaning towards 8.5.50 and back-port the single poll set change.
>

What is easier for you?
If 7.0.x needs a patch as well, won't it be easier to have the same
patch as for 7.0?

(For reference, discussion of the single poll set change on dev@, Jul 05 2019
https://tomcat.markmail.org/thread/dzlcnmuodeqe27w7
Subject:Re: [tomcat] branch master updated: Quick fix for poller issue
reported on users list
)

The removed code is for older OSes like Windows XP. As stated in a
comment in that code (in AprEndpoint.java) the issue was solved in
Windows Vista,
Support for Windows XP ended April 8, 2014.  The first version of Java
8 was March 18, 2014, thus we are safe to assume that Tomcat 9 does
not run on Windows XP.

The first version of Java 7 was in 2011, thus I think that Tomcat 8.0
may run on Windows XP.

Tomcat 8.5.0 was released in March 2016, so I think it was never
really tested on Windows XP.  Looking into the "Vote" thread for
8.5.0, it was tested on Windows 7. Thus I have no objections against
backporting the single pollset change to Tomcat 8.5.

Officially, running Java 7 on Windows XP is no longer supported by
Oracle. For reference:
https://www.oracle.com/technetwork/java/javase/config-417990.html
"Oracle JDK 7 and JRE 7 Certified System Configurations"


Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message